Groovy 1.7.10

## org.codehaus.groovy.tools.groovydoc
[Java] Class GroovyDocWriter

    java.lang.Object
      org.codehaus.groovy.tools.groovydoc.GroovyDocWriter

    public class GroovyDocWriter
    extends Object

Write GroovyDoc resources to destination.

Constructor Summary
`GroovyDocWriter(GroovyDocTool tool, OutputTool output, GroovyDocTemplateEngine templateEngine, Properties properties)`

Method Summary
`void` | `writeClassToOutput(GroovyClassDoc classDoc, String destdir)`
`void` | `writeClasses(GroovyRootDoc rootDoc, String destdir)`
`void` | `writePackageToOutput(GroovyPackageDoc packageDoc, String destdir)`
`void` | `writePackages(GroovyRootDoc rootDoc, String destdir)`
`void` | `writeRoot(GroovyRootDoc rootDoc, String destdir)`
`void` | `writeRootDocToOutput(GroovyRootDoc rootDoc, String destdir)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### GroovyDocWriter

    public GroovyDocWriter(GroovyDocTool tool, OutputTool output, GroovyDocTemplateEngine templateEngine, Properties properties)

Method Detail

### writeClassToOutput

    public void writeClassToOutput(GroovyClassDoc classDoc, String destdir)

### writeClasses

    public void writeClasses(GroovyRootDoc rootDoc, String destdir)

### writePackageToOutput

    public void writePackageToOutput(GroovyPackageDoc packageDoc, String destdir)

### writePackages

    public void writePackages(GroovyRootDoc rootDoc, String destdir)

### writeRoot

    public void writeRoot(GroovyRootDoc rootDoc, String destdir)

### writeRootDocToOutput

    public void writeRootDocToOutput(GroovyRootDoc rootDoc, String destdir)

Copyright © 2003-2010 The Codehaus. All rights reserved.